<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        input:focus{
            box-shadow: 0;
            outline: 0;
        }
    </style>
</head>
<body>
    <input onkeydown="contador()" type="text" id="input">
 
    <script>
        function contador(){
            var aux = document.getElementById("input").value;

            if (aux.length > 20){
                document.getElementsByTagName("input")[0].style.borderColor = "red";
            }else{
                document.getElementsByTagName("input")[0].style.borderColor = "black";
            }
        }
    </script>
</body>
</html>